package com.zd.laboratory.domain.vo;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import com.zd.laboratory.domain.LabRiskPlanjoinsub;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 【请填写功能名称】对象 lab_risk_planjoinsub
 *
 * @author zd
 * @date 2022-03-03
 */
@ApiModel("【请填写功能名称】")
public class LabRiskPlanjoinsubVO extends LabRiskPlanjoinsub
{
    private static final long serialVersionUID = 1L;

    /** 预案主键ids */
    @Excel(name = "预案主键ids")
    @ApiModelProperty(value = "预案主键ids")
    private List <Long> riskPlanIds = new ArrayList <>();

    /** 实验室主键ids */
    @Excel(name = "实验室主键ids")
    @ApiModelProperty(value = "实验室主键ids")
    private List <Long> subIds = new ArrayList <>();

    @ApiModelProperty(value = "实验室名称")
    private String subName;

    public List <Long> getRiskPlanIds() {
        return riskPlanIds;
    }

    public void setRiskPlanIds(List <Long> riskPlanIds) {
        this.riskPlanIds = riskPlanIds;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public List <Long> getSubIds() {
        return subIds;
    }

    public void setSubIds(List <Long> subIds) {
        this.subIds = subIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("riskPlanId", getRiskPlanId())
            .append("subjectId", getSubjectId())
            .append("joinStatus", getJoinStatus())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
